
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  <adobriyan@mail.ru>

Fix missing bracket when parameter to be documented is a pointer to function.

int (* resume (struct usb_interface *intf);

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kernel-doc |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/kernel-doc~trivial-scripts_kernel-doc-missing-bracket scripts/kernel-doc
--- 25/scripts/kernel-doc~trivial-scripts_kernel-doc-missing-bracket	Wed Jul  7 13:58:39 2004
+++ 25-akpm/scripts/kernel-doc	Wed Jul  7 13:58:39 2004
@@ -652,7 +652,7 @@ sub output_struct_sgml(%) {
 	$type = $args{'parametertypes'}{$parameter};
 	if ($type =~ m/([^\(]*\(\*)\s*\)\s*\(([^\)]*)\)/) {
 	    # pointer-to-function
-	    print "  $1 $parameter ($2);\n";
+	    print "  $1 $parameter) ($2);\n";
 	} elsif ($type =~ m/^(.*?)\s*(:.*)/) {
 	    print "  $1 $parameter$2;\n";
 	} else {
_
